#ifndef _MESH_H_
#define _MESH_H_





typedef struct
{
    float   x, y, z;
}VEC3D;


//----------

typedef struct
{
    int v[4];
}QUAD;




/*
#define MAXVERTS 951
#define MAXFACES 944
#define MAXEDGES 2000
*/
/*
#define MAXVERTS 3795
#define MAXFACES 3776
#define MAXEDGES 1900
*/

#define MAXVERTS 15147
#define MAXFACES 15104
#define MAXEDGES 7576


typedef struct
{
    int		nv;
    int		nq;
    VEC3D	verts[MAXVERTS];
    QUAD	quads[MAXFACES];        
    VEC3D	norms[MAXVERTS];
}QMESH;


void loadMesh( QMESH *_qm );


#endif